//UDMv3.6
for (var f=0;f<mI.length;f++){
if(typeof sP[f]=="undefined"){sP[f]=[mI[f][2],mI[f][3],mI[f][3],0,0,"","","","","","",""];}
if(typeof cP[f]=="undefined"){cP[f]=new Array;}
if(typeof sI[f]=="undefined"){sI[f]=new Array;}
if(typeof cI[f]=="undefined"){cI[f]=new Array;}
for (var sf=0;sf<sI[f].length;sf++){
if(typeof cP[f][sf]=="undefined"){cP[f][sf]=new Array;}
if(typeof cI[f][sf]=="undefined"){cI[f][sf]=new Array;}
}}
if(absTOP<0){absTOP=0;}
if(absLEFT<0){absLEFT=0;}
if(vPADDING<0){vPADDING=0;}
if(svPADDING<0){svPADDING=0;}
if(aHOVER==""){aHOVER=aLINK;}
if(saHOVER==""){saHOVER=saLINK;}
if(aCURSOR=="hand"){aCURSOR="pointer";}
if(konqi){allowForSCALING=false;}
if(remoteTRIGGERING){
staticMENU=false;
}
var tempImg;
var bnk=".gif";
var bk=[mCOLOR,bCOLOR,rCOLOR,smCOLOR,sbCOLOR,srCOLOR,shCOLOR];
var bks=new Array;
var ui=[false,false,false,false,false,false];
if(bk[2]==""){bk[2]=mCOLOR;}
if(bk[5]==""){bk[5]=bk[3];}
for (var b=0;b<bk.length;b++){
if(bk[b]==""){bk[b]="";}
if((bk[b].indexOf('.gif') != -1)||(bk[b].indexOf('.jpg') != -1)){
ui[b]=true;
tempImg=bk[b];
bk[b]=new Image;
bk[b].src=baseHREF+tempImg;
bks[b]='background-image:url('+bk[b].src+')\;';
}
else{
if(bk[b]==""){bks[b]='background-color:transparent\;'; }
else{bks[b]='background-color:'+bk[b]+'\;'; }
}
}
if(ui[2]&&!ui[0]){bks[0]+='background-image:url('+bnk+')\;';}
if(ui[0]&&!ui[2]){bks[2]+='background-image:url('+bnk+')\;';}
if(ui[5]&&!ui[3]){bks[3]+='background-image:url('+bnk+')\;';}
if(ui[3]&&!ui[5]){bks[5]+='background-image:url('+bnk+')\;';}
var ok=new Array;
var oks=new Array;
var ock=new Array;
var ocks=new Array;
for(i=0;i<mI.length;i++){
ok[i]=[bk[0],bk[1],bk[2],bk[3],bk[4],bk[5],bk[6]];
oks[i]=[bks[0],bks[1],bks[2],bks[3],bks[4],bks[5],bks[6]];
if(mI[i][9]!=""){
ok[i][0]=mI[i][9];
oks[i][0]='background-color:'+mI[i][9]+'\;';
}
if(mI[i][10]!=""){
ok[i][2]=mI[i][10];
oks[i][2]='background-color:'+mI[i][10]+'\;';
}
ok[i][9]=aLINK;
ok[i][10]=aHOVER;
if(mI[i][11]!=""){ok[i][9]=mI[i][11];}
if(mI[i][12]!=""){ok[i][10]=mI[i][12];}
if(sP[i][6]!=""){
ok[i][3]=sP[i][6]; 
oks[i][3]='background-color:'+sP[i][6]+'\;'; 
}
if(sP[i][7]!=""){ok[i][5]=sP[i][7];}
if(sP[i][8]!=""){oks[i][4]='background-color:'+sP[i][8]+'\;';}
if(sP[i][9]!=""){oks[i][6]='background-color:'+sP[i][9]+'\;';}
ok[i][7]=saLINK;
ok[i][8]=saHOVER;
if(sP[i][10]!=""){ok[i][7]=sP[i][10];}
if(sP[i][11]!=""){ok[i][8]=sP[i][11];}
ock[i]=new Array;
ocks[i]=new Array;
if(sI[i].length>0){
for(j=0;j<sI[i].length;j++){
ock[i][j]=[bk[0],bk[1],bk[2],bk[3],bk[4],bk[5],bk[6]];
ocks[i][j]=[bks[0],bks[1],bks[2],bks[3],bks[4],bks[5],bks[6]];
if(cI[i][j].length>0){
if(cP[i][j][6]!=""){
ock[i][j][3]=cP[i][j][6]; 
ocks[i][j][3]='background-color:'+cP[i][j][6]+'\;'; 
}
if(cP[i][j][7]!=""){ock[i][j][5]=cP[i][j][7];}
if(cP[i][j][8]!=""){ocks[i][j][4]='background-color:'+cP[i][j][8]+'\;';}
if(cP[i][j][9]!=""){ocks[i][j][6]='background-color:'+cP[i][j][9]+'\;';}
ock[i][j][7]=saLINK;
ock[i][j][8]=saHOVER;
if(cP[i][j][10]!=""){ock[i][j][7]=cP[i][j][10];}
if(cP[i][j][11]!=""){ock[i][j][8]=cP[i][j][11];}
}
}
}
}
function doNothing(){}
var bWidth=window.innerWidth;
var bHeight=window.innerHeight;
var sbaa=14;
if(!konqi){
if(ns7){sbaa=15;}
if(mac&&mz7){sbaa=16;}
if(mz7&&agt.indexOf("rc1")!=-1){sbaa=19;}
if((mz7&&win&&(agt.indexOf("windows nt 5.1")!=-1))||mac||ns6){if(document.width<=(innerWidth-30)){bWidth-=sbaa;}}
else if(mz7&&win&&(agt.indexOf("windows nt 5.0")!=-1)){if(document.width<=(innerWidth-16)){bWidth-=16;}}
else if(win){if(document.width<=(innerWidth-17)){bWidth-=17;}}
if(lin){if(document.width<=(innerWidth-17)){bWidth-=17;}}
if(menuALIGN=="free"){bWidth-=sbaa;}
}
if(konqi&&remoteTRIGGERING){bWidth-=16;}
if(documentWIDTH>0){bWidth=documentWIDTH;}
var navH=fSIZE+5+vPADDING;
if (fSIZE<13){navH+=(13-fSIZE);}
var origH=navH;
var Mrows=new Array;var Nrows=new Array;
for(var i=0;i<mI.length;i++){
var thisT=mI[i][1];
var splitT=thisT.split('<br>');
Mrows[i]=splitT.length;
Nrows[i]=Mrows[i];
}
function cFun(a,b){return b-a;}
Mrows.sort(cFun);
navH=navH*Mrows[0];
var thisNavH=new Array;
for(i=0;i<mI.length;i++){
if(menuALIGN=="free"){
thisNavH[i]=origH*Nrows[i];
}
else{
thisNavH[i]=navH;
}
}
var subNavH=sfSIZE+5+svPADDING;
if (sfSIZE<13){subNavH+=(13-sfSIZE);}
var endSpace=0;
var navSpace=0;
for (var j=0;j<mI.length;j++){
if(mI[j][2]==""){mI[j][2]=10;}
if(mI[j][1]==""){mI[j][1]='&nbsp;';}
navSpace+=mI[j][2]+bSIZE;
}
navSpace+=bSIZE;
endSpace=bWidth-navSpace;
var ra=false;
if(menuALIGN=="right"){
ra=true;
absLEFT=endSpace-absLEFT;
}
var ca=false;
if(menuALIGN=="center"){
ca=true;
absLEFT=endSpace / 2;
}
var la=false;
if(menuALIGN=="left"){
la=true;
}
var shy=0;
var shType;
if(typeof shSIZE=="number"){
if(shSIZE<0){shSIZE=0;}
shy-=shSIZE;
shType="number";
}
if(typeof shSIZE=="string"){
shSIZE=parseInt(shSIZE);
shy+=shSIZE;
shType="string";
}
var tInfo,titleText,master,nav,grid,pj,nObj,ncj,sObj,snj,scj,cObj,cnj,ccj,sNode,temSNode,temCNode,shj,sLeft,slMargin,srMargin,sTop,stMargin,mSize,mNumOf,cNode,cshj,cLeft,clMargin,crMargin,cTop,ctMargin,cmSize,cNumOf;
var grs;
function showGrid(){
grs=grid.style.visibility;
if(grs=="hidden"){grid.style.visibility="visible";}
}
function hideGrid(){
grs=grid.style.visibility;
if(grs=="visible"){grid.style.visibility="hidden";}
}
function writeStatus(sTxt){
window.status=sTxt;
return true;
}
function clearChildMenus(){
cNumOf=cObj.childNodes.length;
for(i=0;i<cNumOf;i++){
cObj.removeChild(cObj.childNodes[i]);
}
currentID=[currentID[0],-1,-1];
}
var currentID=[-1,-1,-1];
var previousID=[-1,-1,-1];
var focusID=[-1,-1,-1];
var cTimer=0;
var closeOkay=false;
var fid=0;
function clearSubMenus(){
if(currentID[0]>-1){
for(i=0;i<mI.length;i++){
ncj=document.getElementById("maincell-"+i);
ncj.style.zIndex=zORDER+3;
}
ncj=document.getElementById("maincell-"+currentID[0]);
if(typeof ncj != "undefined"){
if(mI[currentID[0]][9]!=""){
ncj.style.backgroundImage='url('+bnk+')';
ncj.style.backgroundColor=ok[currentID[0]][0];
}
else{
if(ui[2]){
if(ui[0]){ncj.style.backgroundImage='url('+bk[0].src+')';}
else{ncj.style.backgroundImage='url('+bnk+')';}
}
else{
if(ui[0]){ncj.style.backgroundImage='url('+bk[0].src+')';}
else{ncj.style.backgroundColor=bk[0];}
}
}
ncj.firstChild.firstChild.firstChild.firstChild.firstChild.style.color=ok[currentID[0]][9];
}
mNumOf=sObj.childNodes.length;
for(i=0;i<mNumOf;i++){
sObj.removeChild(sObj.childNodes[i]);
}
clearChildMenus();
}
writeStatus('');
currentID=[-1,-1,-1];
focusID=[-1,-1,-1];
hideGrid();
clearTimeout(cTimer);
closeOkay=false;
}
function gridClearMenus(){
if(closeOkay){
clearTimeout(cTimer);
clearSubMenus();
}
else{
closeOkay=true;
cTimer=setTimeout("gridClearMenus()",closeTIMER);
}
}
var wins=new Array;
var wNum=0;
function goToUrl(cUrl,cTarg){
if(cUrl=="~"||cUrl=="#"){return false;}
if(cUrl.indexOf("mailto:")!=-1){document.location=cUrl;}
else if(cUrl!=""){
if(cTarg=="_self"){self.document.location=cUrl;}
else if(cTarg=="_top"){top.document.location=cUrl;}
else if(cTarg=="_parent"){parent.document.location=cUrl;}
else if(cTarg=="_blank"){
wins[wNum]=open(cUrl,"","status=yes,scrollbars=yes,scrolling=yes,toolbar=yes,menubar=yes,location=yes,resizable=yes");
wNum++;
}
else{
if(top[cTarg]){top[cTarg].document.location=cUrl}
else{document.location=cUrl;}
}
}
return true;
}
function mainRollover(rmNum){
for(i=0;i<mI.length;i++){
ncj=document.getElementById("maincell-"+i);
ncj.style.zIndex=zORDER+20;
}
ncj=document.getElementById("maincell-"+rmNum);
if(mI[rmNum][10]!=""){
ncj.style.backgroundImage='url('+bnk+')';
ncj.style.backgroundColor=ok[rmNum][2];
}
else{
if(ui[2]){
ncj.style.backgroundImage='url('+bk[2].src+')';
}
else{
ncj.style.backgroundImage='url('+bnk+')';
ncj.style.backgroundColor=bk[2];
}
}
ncj.firstChild.firstChild.firstChild.firstChild.firstChild.style.color=ok[rmNum][10];
if(altDISPLAY=="status"){
writeStatus(mI[rmNum][5]);
}
else{
tInfo=mI[rmNum][0];
if(tInfo=="#"){tInfo="";}
writeStatus(tInfo);
}
}
var kcc=-1;
var sPlay=false;
var cPlay=false;
function mainCell(mNum,gridTrue){
if(typeof mI[mNum]=="undefined"){return false;}
currentID=previousID;
clearSubMenus();
currentID=[mNum,-1,-1];
previousID=currentID;
focusID=currentID;
mainRollover(mNum);
if(sI[mNum].length>0){openSubMenu(mNum);}
if(typeof gridTrue=="undefined"){showGrid();}
return currentID;
}
function partialMainCell(mNum){
clearTimeout(cTimer);
closeOkay=false;
mainRollover(mNum);
if(sI[mNum].length>0){
if(previousID[1]>-1){clearCell(document.getElementById("subcell-"+mNum+"-"+previousID[1]));}
}
}
var sn,stj,shAry,chAry,swPad,shPad,nodeHtml,mDiff,wAdj,tfObj;
var kPressed=false;
var shopac='-moz-opacity:'+(shOPACITY/100);
if(!win){shopac='';}
var stt,textScale,applyWidth,applyWidthII;
function openSubMenu(mid){
sNode=document.createElement("div");
document.getElementById("manch").appendChild(sNode);
sn='';
applyWidth='width:auto;min-width:'+sP[mid][0]+'px\;white-space:nowrap\;';
if(konqi){applyWidth='width:'+sP[mid][0]+'px\;';}
sn+='<div id="subtable-'+mid+'" style="'+applyWidth+'-moz-opacity:1\;position:relative\;left:'+shy+'px\;top:'+shy+'px\;'+oks[mid][4]+'"><table cellpadding=0 cellspacing='+sbSIZE+' border=0>';
shAry=new Array;
chAry=new Array;
for(i=0;i<sI[mid].length;i++){
sn+='<tr>';
clcu='';
if(cellCLICK&&sI[mid][i][0]!=""&&sI[mid][i][0]!="#"&&sI[mid][i][0]!="~"){clcu=' cursor:'+aCURSOR+'\;';}
cllu=' cursor:default\;';
if(sI[mid][i][0]!=""&&sI[mid][i][0]!="#"&&sI[mid][i][0]!="~"){cllu=' cursor:'+aCURSOR+'\;';}
shAry[i]=subNavH;
var thisT=sI[mid][i][1];
var splitT=thisT.split('<br>');
var Trows=splitT.length;
if (Trows>1){shAry[i]=(subNavH*Trows)-(svPADDING*(Trows-1));}

titleText=""; if(altDISPLAY=="title"){titleText=sI[mid][i][3];}
textScale='width:auto;min-width:'+(sP[mid][0]-(2*sbSIZE))+'px\;height:auto;min-';
if(!allowForSCALING){textScale='width:'+(sP[mid][0]-(2*sbSIZE))+'px\;';}
sn+='<td style="'+clcu+'" align='+sP[mid][2]+'><div title="'+titleText+'" class=SUBmTD onfocus="subCell('+mid+','+i+')" onmouseover="temCNode=document.getElementById(\'childmenu-'+mid+'-'+i+'\')\;if(!temCNode){subCell('+mid+','+i+')}else{partialSubCell('+mid+','+i+')}" onclick="if(cellCLICK){goToUrl(sI['+mid+']['+i+'][0],sI['+mid+']['+i+'][2])}" id="subcell-'+mid+'-'+i+'" style="'+oks[mid][3]+''+textScale+'height:'+shAry[i]+'px\;white-space:nowrap;"><div onmouseout="event.cancelBubble=true" id="subtext-'+mid+'-'+i+'" style="'+cllu+'position:relative\;font:'+sfSIZE+'px '+sfFONT+'\;font-weight:'+sfWEIGHT+'\;"><span style="color:'+ok[mid][7]+'\;font:'+sfSIZE+' '+sfFONT+'\;font-weight:'+sfWEIGHT+'\;" onclick="if(!cellCLICK){goToUrl(sI['+mid+']['+i+'][0],sI['+mid+']['+i+'][2])}">'+sI[mid][i][1]+'</span></div></div></td>';
sn+='</tr>';
}
sn+='</table></div>';
sTop=parseInt(ncj.style.top)+thisNavH[mid];
if(vOFFSET<0){sTop+=vOFFSET;}if(sP[mid][3]<0){sTop+=sP[mid][3];}
if(shType=="string"){sTop-=(shSIZE*2);}
stMargin=bSIZE;
if(vOFFSET>0){stMargin+=vOFFSET;}
if(sP[mid][3]>0){stMargin+=sP[mid][3];}
stMargin+=shSIZE;
sLeft=parseInt(ncj.style.left);
if(shType=="string"){sLeft-=(shSIZE*2);}
swPad=sbSIZE;shPad=0;
if(shType=="string"){
swPad=(2*shSIZE)+sbSIZE;
shPad=(2*shSIZE);
}
slMargin=0;
srMargin=0;
if(sP[mid][1]=="left"){
wAdj=false;
if((parseInt(ncj.style.top)+thisNavH[mid])>sTop&&(sLeft<(hOFFSET+sP[mid][4]+mI[mid][2]))){wAdj=true; sLeft+=mI[mid][2];}
if(hOFFSET>0){slMargin+=hOFFSET;}
if(sP[mid][4]>0){slMargin+=sP[mid][4];}
if(hOFFSET<0){sLeft+=hOFFSET;}
if(sP[mid][4]<0){sLeft+=sP[mid][4];}
if(wAdj){
if(slMargin>mI[mid][2]){slMargin-=mI[mid][2];}
else{sLeft-=(mI[mid][2]-slMargin); slMargin=0;}
}
}
if(sP[mid][1]=="right"){
mSize=0;
if(hOFFSET>0){srMargin+=hOFFSET; mSize+=srMargin;}
if(sP[mid][4]>0){srMargin+=sP[mid][4]; mSize+=srMargin;}
if(hOFFSET<0){sLeft-=hOFFSET;}
if(sP[mid][4]<0){sLeft-=sP[mid][4];}
sLeft-=(sP[mid][0]-mI[mid][2]+mSize);
}
slMargin+=shSIZE;
applyWidth='width:auto;min-width:'+(sP[mid][0]+slMargin)+'px\;white-space:nowrap\;';
if(konqi){applyWidth='width:'+(sP[mid][0]+slMargin)+'px\;';}
applyWidthII='width:auto;min-width:'+(sP[mid][0]+swPad-sbSIZE)+'px\;white-space:nowrap\;';
if(konqi){applyWidthII='width:'+(sP[mid][0]+swPad-sbSIZE)+'px\;';}
sNode.parentNode.innerHTML='<div onmouseover="showGrid()" id="submenu-'+mid+'" style="'+applyWidth+'visibility:hidden\;position:absolute\;left:'+sLeft+'px\;top:'+sTop+'px\;z-index:'+(zORDER+40)+'\;"><div id="subshadow-'+mid+'" style="'+shopac+'\;margin-top:'+stMargin+'px\;margin-left:'+slMargin+'px\;margin-right:'+srMargin+'px\;'+oks[mid][6]+'z-index:'+(zORDER+41)+'\;'+applyWidthII+'height:1px\;">'+sn+'</div></div>';
clearTimeout(cTimer);
closeOkay=false;
for(i=0;i<sI[mid].length;i++){
stj=document.getElementById('subtext-'+mid+'-'+i);
stt=((stj.parentNode.offsetHeight/2)-(stj.offsetHeight/2)+svtOFFSET)+"px";
stj.style.top=stt;
if(sP[mid][2]=="left"){stj.style.left=stINDENT+"px";}
if(sP[mid][2]=="right"){stj.style.left=(0-stINDENT)+"px";}
}
shj=document.getElementById('subshadow-'+mid);
shj.style.height=(document.getElementById('subtable-'+mid).offsetHeight+shPad)+"px";
snj=document.getElementById('submenu-'+mid);
if(!remoteTRIGGERING){snj.style.visibility="visible";}
return snj;
}
var ncoNum;
function clearSubRollover(rmNum,rsNum){
if(!keepLIT){
ncoNum=ncj.id.replace("maincell-","")
ncj.firstChild.firstChild.firstChild.firstChild.firstChild.style.color=ok[ncoNum][9];
if(mI[ncoNum][9]!=""){
ncj.style.backgroundImage='url('+bnk+')';
ncj.style.backgroundColor=ok[ncoNum][0];
}
else{
if(ui[2]){
if(ui[0]){ncj.style.backgroundImage='url('+bk[0].src+')';}
else{ncj.style.backgroundImage='url('+bnk+')';}
}
else{
if(ui[0]){ncj.style.backgroundImage='url('+bk[0].src+')';}
else{ncj.style.backgroundColor=bk[0];}
}
}
}
if(previousID[1]>-1){
pj=document.getElementById('subcell-'+previousID[0]+'-'+previousID[1]);
if(sP[previousID[0]][6]!=""){
pj.style.backgroundColor=ok[previousID[0]][3];
pj.style.backgroundImage='url('+bnk+')';
}
else{
if(ui[5]){
if(ui[3]){pj.style.backgroundImage='url('+bk[3].src+')';}
else{pj.style.backgroundImage='url('+bnk+')';}
}
else{
if(ui[3]){pj.style.backgroundImage='url('+bk[3].src+')';}
else{pj.style.backgroundColor=bk[3];}
}
}
pj.firstChild.firstChild.style.color=ok[previousID[0]][7];
}
}
function subRollover(rmNum,rsNum){
if(sI[rmNum][rsNum][4]){
if(sP[rmNum][7]!=""){
scj.style.backgroundImage='url('+bnk+')';
scj.style.backgroundColor=ok[rmNum][5];
}
else{
if(ui[5]){
scj.style.backgroundImage='url('+bk[5].src+')';
}
else{
scj.style.backgroundImage='url('+bnk+')';
scj.style.backgroundColor=bk[5];
}
}
}
scj.firstChild.firstChild.style.color=ok[rmNum][8];
if(altDISPLAY=="status"){
writeStatus(sI[rmNum][rsNum][3]);
}
else{
tInfo=sI[rmNum][rsNum][0];
if(tInfo=="#"){tInfo="";}
writeStatus(tInfo);
}
}
var cn,ctj;
function subCell(mNum,sNum){
clearTimeout(cTimer);
closeOkay=false;
clearSubRollover();
currentID=[mNum,sNum,-1];
previousID=currentID;
focusID=currentID;
scj=document.getElementById('subcell-'+mNum+'-'+sNum);
subRollover(mNum,sNum);
openChildMenu(mNum,sNum);
showGrid();
}
function partialSubCell(mNum,sNum){
clearTimeout(cTimer);
closeOkay=false;
clearSubRollover();
subRollover(mNum,sNum);
if(cI[mNum][sNum].length>0){
if(previousID[2]>-1){clearCell(document.getElementById("childcell-"+mNum+"-"+sNum+"-"+previousID[2]));}
}
}
var ctt;
var evcy,evoh,evst,mctPos;
function openChildMenu(mid,cid){
clearChildMenus();
if(cI[mid][cid].length<=0){return false;}
cNode=document.createElement("div");
document.getElementById("canch").appendChild(cNode);
cn='';
applyWidth='width:auto;min-width:'+cP[mid][cid][0]+'px\;white-space:nowrap;';
if(konqi){applyWidth='width:'+cP[mid][cid][0]+'px\;';}
cn+='<div id="childtable-'+mid+'-'+cid+'" style="'+applyWidth+'-moz-opacity:1\;position:relative\;left:'+shy+'px\;top:'+shy+'px\;'+ocks[mid][cid][4]+'"><table cellpadding=0 cellspacing='+sbSIZE+' border=0>';
chAry[mid]=new Array;
for(i=0;i<cI[mid][cid].length;i++){
cn+='<tr>';
clcu='';
if(cellCLICK&&cI[mid][cid][i][0]!=""&&cI[mid][cid][i][0]!="#"&&cI[mid][cid][i][0]!="~"){clcu=' cursor:'+aCURSOR+'\;';}
cllu=' cursor:default\;';
if(cI[mid][cid][i][0]!=""&&cI[mid][cid][i][0]!="#"&&cI[mid][cid][i][0]!="~"){cllu=' cursor:'+aCURSOR+'\;';}
chAry[mid][i]=subNavH;
var thisT=cI[mid][cid][i][1];
var splitT=thisT.split('<br>');
var Trows=splitT.length;
if (Trows>1){chAry[mid][i]=(subNavH*Trows)-(svPADDING*(Trows-1));}
titleText=""; if(altDISPLAY=="title"){titleText=cI[mid][cid][i][3];}
textScale='width:auto;min-width:'+(cP[mid][cid][0]-(sbSIZE*2))+'px\;height:auto;min-';
if(!allowForSCALING){textScale='width:'+(cP[mid][cid][0]-(sbSIZE*2))+'px\;';}
cn+='<td style="'+clcu+'" align='+cP[mid][cid][2]+'><div title="'+titleText+'" class=SUBmTD onfocus="childCell('+mid+','+cid+','+i+')" onblur="clearCell(this)" onmouseover="childCell('+mid+','+cid+','+i+')" onclick="if(cellCLICK){goToUrl(cI['+mid+']['+cid+']['+i+'][0],cI['+mid+']['+cid+']['+i+'][2])}" id="childcell-'+mid+'-'+cid+'-'+i+'" style="'+ocks[mid][cid][3]+''+textScale+'height:'+chAry[mid][i]+'px\;white-space:nowrap;"><div onmouseout="event.cancelBubble=true" id="childtext-'+mid+'-'+cid+'-'+i+'" style="'+cllu+'position:relative\;font:'+sfSIZE+'px '+sfFONT+'\;font-weight:'+sfWEIGHT+'\;"><span style="color:'+ock[mid][cid][7]+'\;font:'+sfSIZE+' '+sfFONT+'\;font-weight:'+sfWEIGHT+'\;" onclick="if(!cellCLICK){goToUrl(cI['+mid+']['+cid+']['+i+'][0],cI['+mid+']['+cid+']['+i+'][2])}">'+cI[mid][cid][i][1]+'</span></div></div></td>';
cn+='</tr>';
}
cn+='</table></div>';
cLeft=sLeft+slMargin-shSIZE;
clMargin=0;
crMargin=0;
if(cP[mid][cid][1]=="left"){
if(chhOFFSET>0){clMargin+=chhOFFSET;}
if(cP[mid][cid][4]>0){clMargin+=cP[mid][cid][4];}
if(chhOFFSET<0){cLeft+=chhOFFSET;}
if(cP[mid][cid][4]<0){cLeft+=cP[mid][cid][4];}
cLeft+=sP[mid][0];
}
if(cP[mid][cid][1]=="right"){
mSize=0;
if(chhOFFSET>0){crMargin+=chhOFFSET; mSize+=crMargin;}
if(cP[mid][cid][4]>0){crMargin+=cP[mid][cid][4]; mSize+=crMargin;}
if(chhOFFSET<0){cLeft-=chhOFFSET;}
if(cP[mid][cid][4]<0){cLeft-=cP[mid][cid][4];}
cLeft-=cP[mid][cid][0]+mSize;
}
clMargin+=shSIZE;
cTop=sTop+stMargin-shSIZE;
for(i=0;i<cid;i++){
cTop+=shAry[i]+sbSIZE;
}
if(chvOFFSET<0){cTop+=chvOFFSET;}if(cP[mid][cid][3]<0){cTop+=cP[mid][cid][3];}
ctMargin=sbSIZE;
if(chvOFFSET>0){ctMargin+=chvOFFSET;}
if(cP[mid][cid][3]>0){ctMargin+=cP[mid][cid][3];}
ctMargin+=shSIZE;
applyWidth='width:auto;min-width:'+(cP[mid][cid][0]+clMargin)+'px\;white-space:nowrap;';
if(konqi){applyWidth='width:'+(cP[mid][cid][0]+clMargin)+'px\;';}
applyWidthII='width:auto;min-width:'+(cP[mid][cid][0]+swPad-sbSIZE)+'px\;white-space:nowrap;';
if(konqi){applyWidthII='width:'+(cP[mid][cid][0]+swPad-sbSIZE)+'px\;';}
cNode.parentNode.innerHTML='<div onmouseover="showGrid()" id="childmenu-'+mid+'-'+cid+'" style="visibility:hidden\;position:absolute\;left:'+cLeft+'px\;top:'+cTop+'px\;z-index:'+(zORDER+60)+'\;"><div id="childshadow-'+mid+'-'+cid+'" style="'+shopac+'\;margin-top:'+ctMargin+'px\;margin-left:'+clMargin+'px\;margin-right:'+crMargin+'px\;'+ocks[mid][cid][6]+'z-index:'+(zORDER+61)+'\;'+applyWidthII+'height:1px\;">'+cn+'</div></div>';
for(i=0;i<cI[mid][cid].length;i++){
ctj=document.getElementById('childtext-'+mid+'-'+cid+'-'+i);
ctt=((ctj.parentNode.offsetHeight/2)-(ctj.offsetHeight/2)+svtOFFSET)+"px";
 ctj.style.top=ctt;
if(cP[mid][cid][2]=="left"){ctj.style.left=stINDENT+"px";}
if(cP[mid][cid][2]=="right"){ctj.style.left=(0-stINDENT)+"px";}
}
cshj=document.getElementById('childshadow-'+mid+'-'+cid);
cshj.style.height=(document.getElementById('childtable-'+mid+'-'+cid).offsetHeight+shPad)+"px";
cnj=document.getElementById('childmenu-'+mid+'-'+cid);
if(remoteTRIGGERING){
evcy=parseInt(cnj.style.top);
evoh=cnj.offsetHeight;
evst=window.pageYOffset;
 if((evcy+evoh)>(bHeight+evst)){
mctPos=evcy-((evcy+evoh)-(bHeight+evst));
cnj.style.top=(mctPos)+"px";
}
}
cnj.style.visibility="visible";
return cnj;
}
var cident,normalClear;
function clearCell(ccj){
normalClear=true;
ccj.firstChild.firstChild.style.color=saLINK;
if(ccj.id.indexOf("subcell-")!=-1){
cident=ccj.id.replace("subcell-","");
cident=parseInt(cident);
if(sP[cident][6]!=""){
ccj.style.backgroundColor=ok[cident][3];
ccj.style.backgroundImage='url('+bnk+')';
normalClear=false;
}
if(sP[cident][10]!=""){
ccj.firstChild.firstChild.style.color=ok[cident][7];
}
}
if(ccj.id.indexOf("childcell-")!=-1){
cident=ccj.id.replace("childcell-","");
cident=cident.split("-");
if(cP[cident[0]][cident[1]][6]!=""){
ccj.style.backgroundColor=ock[cident[0]][cident[1]][3];
ccj.style.backgroundImage='url('+bnk+')';
normalClear=false;
}
if(cP[cident[0]][cident[1]][10]!=""){
ccj.firstChild.firstChild.style.color=ock[cident[0]][cident[1]][7];
}
}
if(normalClear){
if(ui[5]){
if(ui[3]){ccj.style.backgroundImage='url('+bk[3].src+')';}
else{ccj.style.backgroundImage='url('+bnk+')';}
}
else{
if(ui[3]){ccj.style.backgroundImage='url('+bk[3].src+')';}
else{ccj.style.backgroundColor=bk[3];}
}
}
}
function childCell(mNum,sNum,cNum){
clearTimeout(cTimer);
closeOkay=false;
if(!keepSubLIT){
scj.firstChild.firstChild.style.color=ok[mNum][7];
if(sP[mNum][6]!=""){
scj.style.backgroundColor=ok[mNum][3];
scj.style.backgroundImage='url('+bnk+')';
}
else{
if(ui[5]){
if(ui[3]){scj.style.backgroundImage='url('+bk[3].src+')';}
else{scj.style.backgroundImage='url('+bnk+')';}
}
else{
if(ui[3]){scj.style.backgroundImage='url('+bk[3].src+')';}
else{scj.style.backgroundColor=bk[3];}
}
}
}
if(previousID[2]>-1){
pj=document.getElementById('childcell-'+previousID[0]+'-'+previousID[1]+'-'+previousID[2]);
pj.firstChild.firstChild.style.color=ock[previousID[0]][previousID[1]][7];
if(cP[previousID[0]][previousID[1]][6]!=""){
pj.style.backgroundColor=ock[previousID[0]][previousID[1]][3];
pj.style.backgroundImage='url('+bnk+')';
}
else{
if(ui[5]){
if(ui[3]){pj.style.backgroundImage='url('+bk[3].src+')';}
else{pj.style.backgroundImage='url('+bnk+')';}
}
else{
if(ui[3]){pj.style.backgroundImage='url('+bk[3].src+')';}
else{pj.style.backgroundColor=bk[3];}
}
}
}
currentID=[mNum,sNum,cNum];
previousID=currentID;
focusID=currentID;
ccj=document.getElementById('childcell-'+mNum+'-'+sNum+'-'+cNum);
if(cI[mNum][sNum][cNum][4]){
if(cP[mNum][sNum][7]!=""){
ccj.style.backgroundImage='url('+bnk+')';
ccj.style.backgroundColor=ock[mNum][sNum][5];
}
else{
if(ui[5]){
ccj.style.backgroundImage='url('+bk[5].src+')';
}
else{
ccj.style.backgroundImage='url('+bnk+')';
ccj.style.backgroundColor=bk[5];
}
}
}
ccj.firstChild.firstChild.style.color=ock[mNum][sNum][8];
if(altDISPLAY=="status"){
writeStatus(cI[mNum][sNum][cNum][3]);
}
else{
tInfo=cI[mNum][sNum][cNum][0];
if(tInfo=="#"){tInfo="";}
writeStatus(tInfo);
}
showGrid();
}
var mn='';
mn+='<div id="master" style="position:absolute\;left:0px\;top:0px\;">';
var gopac="";
if(redGRID){gopac="background-color:red";}
var grw=bWidth;
if(gridWIDTH>0){grw=gridWIDTH;}
var grh=bHeight;
if(gridHEIGHT>0){grh=gridHEIGHT;}
mn+='<div id="udm-grid" onmouseover="gridClearMenus()" style="'+gopac+'\;cursor:default\;visibility:hidden\;position:absolute\;top:0px\;left:0px\;z-index:'+(zORDER+10)+'\;width:'+grw+'px\;height:'+grh+'px\;">&nbsp;</div>';
mn+='<div id="manch" style="position:absolute\;top:0px\;left:0px\;z-index:'+(zORDER+40)+'\;"></div>';
mn+='<div id="canch" style="position:absolute\;top:0px\;left:0px\;z-index:'+(zORDER+60)+'\;"></div>';
var mbc=bks[1];
var mcbc=bks[0];
var clcu,cllu,mtObj,mcLeft,strCol;
var ofh='overflow:hidden';
if(konqi){ofh='';}
var mnDisplay='';
if(remoteTRIGGERING){mnDisplay='display:none';}
if(menuALIGN!="free"){
strCol=bks[0];
if(showBORDERS){strCol=bks[1];}
if(stretchMENU||showBORDERS){
mn+='<div id="underb" style="'+mnDisplay+'\;cursor:default\;'+strCol+'visibility:visible\;position:absolute\;z-index:'+(zORDER+1)+'\;left:0px\;top:'+absTOP+'px\;width:'+bWidth+'px\;height:'+(navH+(2*bSIZE))+'px\;">';
if(stretchMENU&&showBORDERS){mn+='<div style="margin:'+bSIZE+'px\;width:'+(bWidth-(2*bSIZE))+'px\;height:'+navH+'px\;'+bks[0]+'cursor:default">&nbsp;</div>';}
mn+='</div>';
}
mn+='<div id="udm-navbar" style="'+mnDisplay+'\;'+bks[1]+'position:absolute\;z-index:'+(zORDER+2)+'\;left:'+absLEFT+'px\;top:'+absTOP+'\;width:'+navSpace+'px\;height:'+(navH+(2*bSIZE))+'px\;" class=mTD></div>';
mcLeft=absLEFT+bSIZE;
for(i=0;i<mI.length;i++){
clcu='';
if(cellCLICK&&mI[i][0]!=""&&mI[i][0]!="#"&&mI[i][0]!="~"){clcu=' cursor:'+aCURSOR+'\;';}
cllu=' cursor:default\;';
if(mI[i][0]!=""&&mI[i][0]!="#"&&mI[i][0]!="~"){cllu=' cursor:'+aCURSOR+'\;';}
titleText=""; if(altDISPLAY=="title"){titleText=mI[i][5];}
mn+='<div title="'+titleText+'" onfocus="mainCell('+i+')" onmouseover="temSNode=document.getElementById(\'submenu-'+i+'\')\;if(!temSNode){mainCell('+i+')}else{partialMainCell('+i+')}" onmouseout="if(event.clientX<5||event.clientY<5){gridClearMenus()}" onclick="goToUrl(mI['+i+'][0],mI['+i+'][4],['+i+'])" id="maincell-'+i+'" style="'+mnDisplay+'\;z-index:'+(zORDER+3)+'\;visibility:hidden\;position:absolute\;top:'+(absTOP+bSIZE)+'px\;left:'+mcLeft+'px\;'+clcu+oks[i][0]+'width:'+mI[i][2]+'px\;height:'+thisNavH[i]+'px\;'+ofh+'"><table cellpadding=0 cellspacing=0 border=0 width="100%" height="100%" onmouseout="event.cancelBubble=true"><tr><td class=mTD style="color:'+ok[i][9]+'" align='+mI[i][3]+'><span onclick="if(!cellCLICK){goToUrl(mI['+i+'][0],mI['+i+'][4])}" id="maintext-'+i+'" style="'+cllu+'position:relative;left:0px;top:0px">'+mI[i][1]+'</span></td></tr></table></div>';
mcLeft+=bSIZE+mI[i][2];
}
}
if(menuALIGN=="free"){
for(i=0;i<mI.length;i++){
clcu='';
if(cellCLICK&&mI[i][0]!=""&&mI[i][0]!="#"&&mI[i][0]!="~"){clcu=' cursor:'+aCURSOR+'\;';}
cllu=' cursor:default\;';
if(mI[i][0]!=""&&mI[i][0]!="#"&&mI[i][0]!="~"){cllu=' cursor:'+aCURSOR+'\;';}
mn+='<div style="'+bks[1]+'z-index:'+(zORDER+2)+'\;position:absolute\;left:'+(absLEFT+mI[i][7])+'px\;top:'+(absTOP+mI[i][6])+'px\;width:'+(mI[i][2]+(2*bSIZE))+'px\;height:'+(thisNavH[i]+(2*bSIZE))+'px\;"></div>';
titleText=""; if(altDISPLAY=="title"){titleText=mI[i][5];}
mn+='<div title="'+titleText+'" onfocus="mainCell('+i+')" onmouseover="temSNode=document.getElementById(\'submenu-'+i+'\')\;if(!temSNode){mainCell('+i+')}else{partialMainCell('+i+')}" onmouseout="if(event.clientX<5||event.clientY<5){gridClearMenus()}" onclick="if(cellCLICK){goToUrl(mI['+i+'][0],mI['+i+'][4])}" id="maincell-'+i+'" style="'+mnDisplay+'\;z-index:'+(zORDER+3)+'\;position:absolute\;left:'+(absLEFT+mI[i][7]+bSIZE)+'px\;top:'+(absTOP+mI[i][6]+bSIZE)+'px\;visibility:hidden\;'+clcu+oks[i][0]+'width:'+mI[i][2]+'px\;height:'+thisNavH[i]+'px\;'+ofh+'"><table cellpadding=0 cellspacing=0 border=0 width="100%" height="100%" onmouseout="event.cancelBubble=true"><tr><td class=mTD style="color:'+ok[i][9]+'" align='+mI[i][3]+'><span onclick="if(!cellCLICK){goToUrl(mI['+i+'][0],mI['+i+'][4])}" id="maintext-'+i+'" style="'+cllu+'position:relative;left:0px;top:0px">'+mI[i][1]+'</span></td></tr></table></div>';
mcLeft+=bSIZE+mI[i][2];
}
}
mn+='</div>';
document.write(mn);
function clickToClose(){
clearSubMenus();
}
document.onclick=clickToClose;
var mtt;
var allready=false;
function loadFunction(){
if(remoteTRIGGERING){document.addEventListener("mousemove", menuListen, false);}
if(!remoteTRIGGERING){
for(i=0;i<mI.length;i++){
mtObj=document.getElementById("maintext-"+i);
if(typeof mtObj!="undefined"){
mtt=((thisNavH[i]/2)-(mtObj.offsetHeight/2)+vtOFFSET-(vPADDING/2)-1)+"px";
if(konqi){mtt=vtOFFSET+"px";}
mtObj.style.top=mtt;
if(mI[i][3]=="left"){mtObj.style.left=tINDENT+"px";}
if(mI[i][3]=="right"){mtObj.style.left=(0-tINDENT)+"px";}
document.getElementById("maincell-"+i).style.visibility="visible";
}
}
}
nav=document.getElementById("udm-navbar");
if(menuALIGN!="free"){nav.style.top=absTOP+"px";}
grid=document.getElementById("udm-grid");
sObj=document.getElementById("manch");
cObj=document.getElementById("canch");
allready=true;
genericOnloadFunction();
if(mz7){nsinit();}
}
window.onload=loadFunction;
function nsinit(){if(allowRESIZE==true){setTimeout("window.onresize=redo", 1000);}}
function redo(){window.location.reload();}
if(!mz7){if(allowRESIZE==true){window.onresize=new Function("window.location.reload()");}}
var doListen=true;
var mtPos,mtProps,scaroTop,ecX,ecY;
function menuListen(e){
if(doListen){mtPos=[e.clientX+32,e.clientY];}
}
function activateMenu(mmNum){
if(!allready||typeof mtPos=="undefined"){return false;}
if(typeof sP[mmNum]=="undefined"||!remoteTRIGGERING){return false;}
doListen=false;
ecX=mtPos[0];
ecY=mtPos[1]
vOFFSET=0;
hOFFSET=0;
sP[mmNum][3]=0;
sP[mmNum][4]=0;
mainCell(mmNum,false);
scaroTop=window.pageYOffset;
for(i=0;i<sI[mmNum].length;i++){
cP[mmNum][i][1]="left";
}
mtProps=[snj.offsetWidth,snj.offsetHeight];
if(mtPos[0]>(bWidth/2)){
mtPos[0]=ecX-64-mtProps[0]; 
for(i=0;i<sI[mmNum].length;i++){
cP[mmNum][i][1]="right";
}
}
if(konqi){
if((mtPos[1]+mtProps[1])>(bHeight+scaroTop)){
mtPos[1]=(ecY)-((mtPos[1]+mtProps[1])-(bHeight+scaroTop));
}
}
else{
if((mtPos[1]+mtProps[1])>bHeight){
mtPos[1]=(ecY)-((mtPos[1]+mtProps[1])-bHeight);
}
}
hOFFSET=mtPos[0];
vOFFSET=mtPos[1];
snj.style.left=hOFFSET+"px";
if(konqi){snj.style.top=(vOFFSET)+"px";}
else{snj.style.top=(vOFFSET+scaroTop)+"px";}
ncj.style.left=(hOFFSET)+"px";
if(konqi){ncj.style.top=((vOFFSET)-thisNavH[mmNum]-bSIZE)+"px";}
else{ncj.style.top=((vOFFSET+scaroTop)-thisNavH[mmNum]-bSIZE)+"px";}
sLeft=parseInt(ncj.style.left);
if(shType=="string"){sLeft-=(shSIZE*2);}
sTop=parseInt(ncj.style.top)+thisNavH[mmNum];
grid.style.top=scaroTop+"px";
remoteShow(snj);
doListen=true;
return true;
}
var showTimer;
var showCount=0;
var showPassObj;
function remoteShow(showObj){
showPassObj=showObj;
if(showCount==1){
clearTimeout(showTimer);
showCount=0;
showObj.style.visibility="visible"; 
}
else{
showCount=1;
showTimer=setTimeout("remoteShow(showPassObj)",40);
}
}